gtkmm: Gtk::Box_Helpers::BoxList Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# Gtk::Box_Helpers::BoxList Class Reference

Inheritance diagram for Gtk::Box_Helpers::BoxList:
[legend]
Collaboration diagram for Gtk::Box_Helpers::BoxList:
[legend]

List of all members.

## Public Types
typedef Glib::HelperList < Child, const Element, Glib::List_Iterator< Child > > | type_base
## Public Member Functions
| BoxList ()
| BoxList (GtkBox* gparent)
| BoxList (const BoxList& src)
virtual | ~BoxList ()
BoxList& | operator= (const BoxList& src)
GtkBox* | gparent ()
const GtkBox* | gparent () const
virtual GList*& | glist () const
virtual void | erase (iterator start, iterator stop)
virtual iterator | erase (iterator)
virtual void | remove (const_reference)
reference | operator[] (size_type l) const
| This is order n. (use at own risk)
iterator | insert (iterator position, element_type& e)
template<class InputIterator >
void | insert (iterator position, InputIterator first, InputIterator last)
void | push_front (element_type& e)
void | push_back (element_type& e)
iterator | find (const_reference c)
iterator | find (Widget&)
virtual void | remove (Widget& w)
void | reorder (iterator loc, iterator pos)

## Member Typedef Documentation

typedef Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > > Gtk::Box_Helpers::BoxList::type_base

## Constructor & Destructor Documentation

Gtk::Box_Helpers::BoxList::BoxList | ( |  | ) |

Gtk::Box_Helpers::BoxList::BoxList | ( | GtkBox * | gparent | ) | `[explicit]`

Gtk::Box_Helpers::BoxList::BoxList | ( | const BoxList& | src | ) |

virtual Gtk::Box_Helpers::BoxList::~BoxList | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void Gtk::Box_Helpers::BoxList::erase | ( | iterator | start,
|  | iterator | stop
| ) |  | `[virtual]`

Reimplemented from Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

virtual iterator Gtk::Box_Helpers::BoxList::erase | ( | iterator |  | ) | `[virtual]`

Implements Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

iterator Gtk::Box_Helpers::BoxList::find | ( | const_reference | c | ) |

iterator Gtk::Box_Helpers::BoxList::find | ( | Widget& |  | ) |

virtual GList*& Gtk::Box_Helpers::BoxList::glist | ( |  | ) | const`[virtual]`

Implements Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

GtkBox* Gtk::Box_Helpers::BoxList::gparent | ( |  | ) |

Reimplemented from Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

const GtkBox* Gtk::Box_Helpers::BoxList::gparent | ( |  | ) | const

Reimplemented from Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

iterator Gtk::Box_Helpers::BoxList::insert | ( | iterator | position,
|  | element_type & | e
| ) |  |

template <class InputIterator >

void Gtk::Box_Helpers::BoxList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last
| ) |  | `[inline]`

BoxList& Gtk::Box_Helpers::BoxList::operator= | ( | const BoxList& | src | ) |

reference Gtk::Box_Helpers::BoxList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk)

Reimplemented from Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

void Gtk::Box_Helpers::BoxList::push_back | ( | element_type & | e | ) | `[inline]`

void Gtk::Box_Helpers::BoxList::push_front | ( | element_type & | e | ) | `[inline]`

virtual void Gtk::Box_Helpers::BoxList::remove | ( | const_reference |  | ) | `[virtual]`

Implements Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

virtual void Gtk::Box_Helpers::BoxList::remove | ( | Widget& | w | ) | `[virtual]`

void Gtk::Box_Helpers::BoxList::reorder | ( | iterator | loc,
|  | iterator | pos
| ) |  |

The documentation for this class was generated from the following file:

- gtkmm/box.h